/*
 * SPDX-FileCopyrightText: 2023 Sascha Nitsch (@grumpydevelop@contentnation.net) https://contentnation.net/en/grumpydevelop
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

/// <reference path="view.ts" />
/// <reference path="cameratrigger.ts" />
class UpdateView extends View {
  public form: any;
  constructor(app: CameraTrigger) {
    super(app);
    this.render();
  }

  finish() {
  }

  render() {
    var template = $("#tplUpdate").html();
    var data:any = {};
    data.l = this.app.lang;
    var html = Mustache.render(template, data);
    this.root.html(html);
  }
}